### Method

# EDataServer SourceCollection set_mail_enabled

since: 3.6

#### Declaration [src]

    void
    e_source_collection_set_mail_enabled (
      ESourceCollection* extension,
      gboolean mail_enabled
    )

#### Description [src]

Sets whether mail sources within the collection should be enabled.

An `ECollectionBackend` running within the registry D-Bus service will automatically synchronize any mail sources it maintains with the `ESourceCollection:mail-enabled` property.

Calling this function from a registry service client has no effect until the changes is submitted to the registry service through e_source_write(), but there should rarely be any need for clients to call this.

Available since: 3.6

Sets property | `EDataServer.SourceCollection:mail-enabled`

#### Parameters

`mail_enabled`

  Type: `gboolean`

  Whether mail sources should be enabled.